DWQA QuestionsCategory: ServerAll packages of Python 3 and pip install prompt that the appropriate version cannot be found. How to solve it?
tom2017 asked 1 month ago

problem
Try pip to install all kinds of packages, and all prompts cannot find the appropriate version
information
windows10
python3.6.1
python3.6.2
pip 9.0.1
easy_install setuptools 28.8.0
report errors

Could not find a version that satisfies the requirement some-packge(from versions: )
No matching distribution found for some-packge

Tried some packages such as pilot unroll autopygui
Tried methods
Uninstall and reinstall PIP uninstall and reinstall Python directly specify the URL, use pycharmide to install the imported package, and use CMD with administrator privileges
I tried

pip install some-packge --allow-external some-packge --allow-unverified some-packge

All failed
easy_ Insall is successful
PIP search can also succeed
There are three guesses
pip.ini
requirements.txt
DNS,Try next —
https://www.zhihu.com/questio…,pip install –upgrade pip
Update the PIP and try again. In addition, you don’t have any package as you want. You can go tohttps://pypi.python.org/pypiSearch the website. Only the packages that can be found can be installed through the PIP install command. If this package does not support the current Python version, it cannot be installed.

2 Answers
4lwin answered 1 month ago
tom2017 replied 1 month ago

Some people in this problem have tried other people’s methods, but they haven’t solved them. As for other people’s methods, they have said that they have tried in my problem description

Mr. Mu Chen answered 1 month ago

pip install –upgrade pip
Update the PIP and try again. In addition, you don’t have any package as you want. You can go tohttps://pypi.python.org/pypiSearch the website. Only the packages that can be found can be installed through the PIP install command. If this package does not support the current Python version, it cannot be installed.

tom2017 replied 1 month ago

Some in the problem descriptioneasy_ Insall is successfulPIP search some packge can also succeedPIP update and reinstallation have been triedAs for what bag I triedLook at the question description before you answer